×
Kunena 5.1.14 Released - Security release (13 Aug 2019)

The Kunena team is proud to announce the arrival of Kunena 5.1.14 [K5.1.14] which is now available for download as a native Joomla extension for Joomla 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1.14. This update fixed 1 security issue.

Question [Merged topic]The great Mootools/Javascript conflict discussion

More
9 years 6 days ago #131 by xillibit
Can-you please report here your configuration settings (See :https://www.kunena.com/forum/168-k-16-support/56531-please-use-report-configuration-settings-function-when-asking-support) ?

I don't provide support by PM, because this can be useful for someone else.
The topic has been locked.
More
9 years 6 days ago - 9 years 6 days ago #132 by burnedscott
i read somewhere that my template needs to be compatible with mootools can somebody explain how to check? i have the argentrc-dark template. located [url=https://https://www.kunena.com/forum/111-templates-and-design/60331-re-argentrc-dark-free-kunena-16-template]Here[/url]

this report says that mootools 12 disabled, I cant see where to enable it or where to get it if thats the issue, can anybody inform me? thanks.

This message contains confidential information

Database collation check: The collation of your table fields are correct

Legacy mode: Enabled | Joomla! SEF: Enabled | Joomla! SEF rewrite: Enabled | FTP layer: Disabled |

This message contains confidential information
htaccess: Exists | PHP environment: Max execution time: 60 seconds | Max execution memory: 92M | Max file upload: 15M

Kunena version detailled: Installed version: 1.6.0-RC2 | Build: 3373 | Version name: Jadili | Kunena detailled configuration:

Warning: Spoiler! [ Click to expand ]

Third-party components: AlphaUserPoints: Disabled or not installed | CommunityBuilder: Enabled (Version : 1.2.3) | Jomsocial: Disabled or not installed | UddeIm: Enabled (Version : 2)

Plugins: System - Mootools12: Disabled | System - Mootools Upgrade: Enabled | JFirePHP: Disabled or not installed | Kunena Discuss: Disabled or not installed | Kunena Search: Disabled or not installed | My Kunena Forum Menu: Disabled or not installed

Modules: Kunena Latest: Disabled or not installed | Kunena Stats: Disabled or not installed | Kunena Login: Disabled or not installed

Last edit: 9 years 6 days ago by burnedscott.
The topic has been locked.
More
9 years 6 days ago #133 by burnedscott
This message contains confidential information

Database collation check: The collation of your table fields are correct

Legacy mode: Enabled | Joomla! SEF: Enabled | Joomla! SEF rewrite: Enabled | FTP layer: Disabled |

This message contains confidential information
htaccess: Exists | PHP environment: Max execution time: 60 seconds | Max execution memory: 92M | Max file upload: 15M

Kunena version detailled: Installed version: 1.6.0-RC2 | Build: 3373 | Version name: Jadili | Kunena detailled configuration:

Warning: Spoiler! [ Click to expand ]

Third-party components: AlphaUserPoints: Disabled or not installed | CommunityBuilder: Enabled (Version : 1.2.3) | Jomsocial: Disabled or not installed | UddeIm: Enabled (Version : 2)

Plugins: System - Mootools12: Disabled | System - Mootools Upgrade: Enabled | JFirePHP: Disabled or not installed | Kunena Discuss: Disabled or not installed | Kunena Search: Disabled or not installed | My Kunena Forum Menu: Disabled or not installed

Modules: Kunena Latest: Disabled or not installed | Kunena Stats: Disabled or not installed | Kunena Login: Disabled or not installed

The topic has been locked.
More
9 years 6 days ago #134 by dilipray
Even I have the same problem

burnedscott wrote: i read somewhere that my template needs to be compatible with mootools can somebody explain how to check? i have the argentrc-dark template. located [url=https://https://www.kunena.com/forum/111-templates-and-design/60331-re-argentrc-dark-free-kunena-16-template]Here[/url]

this report says that mootools 12 disabled, I cant see where to enable it or where to get it if thats the issue, can anybody inform me? thanks.

Database collation check: The collation of your table fields are correct

Legacy mode: Enabled | Joomla! SEF: Enabled | Joomla! SEF rewrite: Enabled | FTP layer: Disabled | htaccess: Exists | PHP environment: Max execution time: 60 seconds | Max execution memory: 92M | Max file upload: 15M

Kunena version detailled: Installed version: 1.6.0-RC2 | Build: 3373 | Version name: Jadili | Kunena detailled configuration:

Warning: Spoiler! [ Click to expand ]

Third-party components: AlphaUserPoints: Disabled or not installed | CommunityBuilder: Enabled (Version : 1.2.3) | Jomsocial: Disabled or not installed | UddeIm: Enabled (Version : 2)

Plugins: System - Mootools12: Disabled | System - Mootools Upgrade: Enabled | JFirePHP: Disabled or not installed | Kunena Discuss: Disabled or not installed | Kunena Search: Disabled or not installed | My Kunena Forum Menu: Disabled or not installed

Modules: Kunena Latest: Disabled or not installed | Kunena Stats: Disabled or not installed | Kunena Login: Disabled or not installed

The topic has been locked.
More
9 years 6 days ago #135 by sozzled
burnedscott and dilipray: Mootools 1.2 disabled is normal (even though it's shown in red in the report). This erroneous colour indicator has been corrected in a later version to the one that you both installed.

Please read the important information about Legacy mode . Please take the information and the recommendations made about Legacy mode seriously - it's in your interests to read this information and to act on it.

This discussion topic has covered the same ground many times over. The 99.9% reason why the BBcode menu is missing is because of a Javascript-related problem. If your browser doesn't support Javascript then you'll have a problem. If your website is running another component on the same page as Kunena that loads a different Javascript library to the one needed by K 1.6 then you'll have a problem. If the Javascript library needed by K 1.6 can't be found then you'll have a problem. If some other component's Javascript library clobbers the one needed by K 1.6, then you'll have a problem.

Please read Mootools 1.2.4 (even though I haven't completed writing it)

If, after doing everything that I've suggested above, you still can't figure out what's happening, there's a very simple test you can run - that will only take you one hour. Build a test site, on your webhosted platform, with J 1.5.20, rhuk_milkyway site template, K 1.6 and nothing else. Now try things out for yourself. If you can't get the BBcode menu to appear on that most basic test site, there's something really wrong and we'd like to hear about it.

After establishing that you can get things working in a basic way, start adding, one by one, the other extensions you have on your website. As you add each one, test that the BBcode works.

The KISS principle is the best principle.
The topic has been locked.
More
9 years 5 days ago #136 by dilipray
I have upgraded the mootools to 1.2.4 But it still shows. System - Mootools12: Disabled .

Can you give me the file so i can . Upgrade it properly.

Thank you



This message contains confidential information

Database collation check: The collation of your table fields are correct

Legacy mode: Disabled | Joomla! SEF: Enabled | Joomla! SEF rewrite: Enabled | FTP layer: Disabled |

This message contains confidential information
htaccess: Exists | PHP environment: Max execution time: 60 seconds | Max execution memory: 5000M | Max file upload: 200M

Kunena version detailled: Installed version: 1.6.0-RC2 | Build: 3373 | Version name: Jadili | Kunena detailled configuration:

Warning: Spoiler! [ Click to expand ]

Third-party components: AlphaUserPoints: Enabled (Version : 1.5.9) | CommunityBuilder: Disabled or not installed | Jomsocial: Enabled (Version : 1.8.8) | UddeIm: Disabled or not installed

Plugins: System - Mootools12: Disabled | System - Mootools Upgrade: Enabled | JFirePHP: Disabled or not installed | Kunena Discuss: Disabled or not installed | Kunena Search: Disabled or not installed | My Kunena Forum Menu: Disabled or not installed

Modules: Kunena Latest: Disabled or not installed | Kunena Stats: Disabled or not installed | Kunena Login: Disabled or not installed

The topic has been locked.
More
9 years 5 days ago - 9 years 5 days ago #137 by julianjordan
I'm having the same problem. When a user logs in, there is no way to change his profile. I'm using a RocketTheme template but I don't think that is a problem

The edit button is not showing and I only get the "Edit" text with no link. I'm using the spanish language, maybe the problem is there.

Thanks for your help
Last edit: 9 years 5 days ago by julianjordan.
The topic has been locked.
More
9 years 5 days ago - 9 years 4 days ago #138 by sozzled

dilipray wrote: I have upgraded the mootools to 1.2.4 But it still shows. System - Mootools12: Disabled. Can you give me the file so i can . Upgrade it properly.

If you read Mootools 1.2.4 you will discover that the K 1.6 installation process uninstalls the old Mootools 1.2 plugin and activates the Mootools Upgrade plugin (that is, activates the Mootools 1.2.4 library).

It's therefore normal to see System - Mootools12: Disabled even though it's indicated in red font. The red font was a mistake that has been corrected in a later version of Kunena to the one that you have installed. The issue that you're having with the missing BBcode menu is unrelated to your last question.

The most likely reason that you're having all the problems that you've been having is because you are using the Rockettheme Zephyr template. Please try searching these forums for Rockettheme-related issues.
Last edit: 9 years 4 days ago by sozzled.
The topic has been locked.
More
9 years 5 days ago #139 by sozzled

julianjordan wrote: I'm having the same problem. When a user logs in, there is no way to change his profile. I'm using a RocketTheme template but I don't think that is a problem.

What makes you think that? If you are having the same problem then try the same solution suggested earlier in this discussion. Disable the Rockettheme setting as recommended earlier. If the earlier suggestion doesn't work, please reply with a copy of your configuration report.

Thank you :)
The topic has been locked.
More
9 years 4 days ago #140 by IvoBe
Hallo, I have the same Problem. I use Crystalline template from Rockettheme....
The topic has been locked.
  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.170 seconds